# TODO: use gtk4-update-icon-cache
Summary:	GNOME application to take pictures and videos
Summary(pl.UTF-8):	Aplikacja GNOME to robienia zdjęć i nagrywania filmów
Name:		gnome-snapshot
Version:	47.1
Release:	1
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	https://download.gnome.org/sources/snapshot/47/snapshot-%{version}.tar.xz
# Source0-md5:	cfae2acf42f18677e6cd7bd716571bd7
Patch0:		snapshot-x32.patch
URL:		https://gitlab.gnome.org/GNOME/snapshot
BuildRequires:	appstream-glib
BuildRequires:	cairo-devel >= 1.16
BuildRequires:	cargo
BuildRequires:	gdk-pixbuf2-devel >= 2.42
BuildRequires:	glib2-devel >= 1:2.81
BuildRequires:	graphene-devel >= 1.10
BuildRequires:	gstreamer-devel >= 1.20
BuildRequires:	gstreamer-plugins-base-devel >= 1.20
# camerabin
BuildRequires:	gstreamer-plugins-bad-devel >= 1.20
BuildRequires:	gtk4-devel >= 4.13.6
BuildRequires:	libadwaita-devel >= 1.6
BuildRequires:	meson >= 0.59
BuildRequires:	ninja >= 1.5
BuildRequires:	pango-devel >= 1:1.52.0
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	rust
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.81
Requires(post,postun):	gtk-update-icon-cache
Requires:	cairo >= 1.16
Requires:	gdk-pixbuf2 >= 2.42
Requires:	glib2 >= 1:2.81
Requires:	graphene >= 1.10
Requires:	gtk4 >= 4.13.6
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.6
Requires:	pango >= 1:1.52.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debugsource packages don't support rust (or require adding some flags to rust/cargo)
%define		_debugsource_packages	0

%description
GNOME application to take pictures and videos.

%description -l pl.UTF-8
Aplikacja GNOME to robienia zdjęć i nagrywania filmów.

%prep
%setup -q -n snapshot-%{version}
%ifarch x32
%patch0 -p1
%endif

%build
%ifarch x32
export PKG_CONFIG_ALLOW_CROSS=1
%endif
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ifarch x32
export PKG_CONFIG_ALLOW_CROSS=1
%endif
%ninja_install -C build

%find_lang snapshot

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database
%update_icon_cache hicolor
%glib_compile_schemas

%files -f snapshot.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/snapshot
%{_datadir}/glib-2.0/schemas/org.gnome.Snapshot.gschema.xml
%{_datadir}/metainfo/org.gnome.Snapshot.metainfo.xml
%{_datadir}/snapshot
%{_desktopdir}/org.gnome.Snapshot.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Snapshot.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Snapshot-symbolic.svg
%changelog
* Wed Oct 16 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-snapshot.git;a=log;h=master

* Wed Oct 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 884ab8f
- updated to 47.1

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 0965d8e
- updated x32 patch and glib dependency

* Fri Oct 04 2024 Jakub Bogusz <qboosh@pld-linux.org> cec6326
- updated to 47.0.1

* Fri May 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 0ab0932
- updated to 46.3

* Mon Jan 01 2024 Jakub Bogusz <qboosh@pld-linux.org> ef923d3
- updated to 45.2

* Sat Dec 09 2023 Jakub Bogusz <qboosh@pld-linux.org> d8d2df6
- updated to 45.1

* Sat Dec 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 80952dd
- updated to 45.0; pango patch for pango 1.52 not in GNOME 45

* Sun Sep 17 2023 Jakub Bogusz <qboosh@pld-linux.org> aac0238
- added x32 patch, disable debugsource packages

* Sat Sep 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 326b463
- fixed files, release 1

* Fri Jul 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 1a1e635
- initial; despite 44.x version it depends on libraries versions from GNOME 45

